/*
 * Font
 */
@font-face {
    font-family: 'Titillium Web';
    src: url('../font/titilliumweb-1.1/TitilliumWeb-ExtraLight.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
}

@font-face {
    font-family: 'Titillium Web';
    src: url('../font/titilliumweb-1.1/TitilliumWeb-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Titillium Web';
    src: url('../font/titilliumweb-1.1/TitilliumWeb-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Titillium Web';
    src: url('../font/titilliumweb-1.1/TitilliumWeb-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'Titillium Web';
    src: url('../font/titilliumweb-1.1/TitilliumWeb-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Titillium Web';
    src: url('../font/titilliumweb-1.1/TitilliumWeb-Black.ttf') format('truetype');
    font-weight: 900;
    font-style: normal;
}

@media (max-width: 991px) {

    h1,
    .fs-1 {
        font-size: 1.75rem !important;
    }

    h2,
    .fs-2 {
        font-size: 1.5rem !important;
    }

    h3,
    .fs-3 {
        font-size: 1.25rem !important;
    }

    h4,
    .fs-4 {
        font-size: 1rem !important;
    }

    h5,
    .fs-5 {
        font-size: .875rem !important;
    }

    h6,
    .fs-6 {
        font-size: 0.75rem !important;
    }

    .nav-link {
        font-size: 1rem !important;
    }
}

/*
 * Body
 */
body {
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    max-width: 100vw;
    max-height: 100vh;
    font-family: 'Titillium Web', sans-serif;
    font-style: normal;
    font-weight: 400;
}

/*
 * Loading
 */
#loading {
    position: fixed;
    top: 0;
    z-index: 100;
    width: 100%;
    height: 100%;
    display: none;
    background: rgba(0, 0, 0, .5);
}

.cv-spinner {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner {
    width: 50px;
    height: 50px;
    border: 5px #ddd solid;
    border-top: 5px #3f87a6 solid;
    border-radius: 50%;
    animation: sp-anime 0.8s infinite linear;
}

@keyframes sp-anime {
    100% {
        transform: rotate(360deg);
    }
}

/*
* Cookie banner
*/
#cookie-banner {
    position: fixed;
    bottom: 10%;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    max-width: 600px;
    opacity: .75;
    padding: 1.5rem;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 9999;
    transition: all 0.3s ease;
}

#cookie-banner:hover {
    opacity: 1;
}

#cookie-banner.minimized {
    padding: 0.5rem 1rem;
    font-size: 0.8rem;
}

#cookie-banner.minimized .full-content {
    display: none;
}

#cookie-banner.minimized .minimized-text {
    display: inline;
}

.minimized-text {
    display: none;
}

.cookie-option {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
    text-align: justify;
    gap: 1.5rem;
}

.cookie-text {
    flex: 1;
    margin-right: 1rem;
}

#minimize-button {
    font-size: 0.8rem;
}

/*
 * Header
 */
header {
    top: 0;
    flex: 0 0 auto;
}

/*
 * Footer
 */
footer {
    bottom: 0;
    flex: 0 0 auto;
}